FreeMat

- Main Page
- Related Pages

vtkOutlineCornerSource

Section: Visualization Toolkit Graphics Classes

# Usage

vtkOutlineCornerSource creates wireframe outline corners around a user-specified bounding box.

To create an instance of class vtkOutlineCornerSource, simply invoke its constructor as follows

      obj = vtkOutlineCornerSource

# Methods

The class vtkOutlineCornerSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOutlineCornerSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOutlineCornerSource = obj.NewInstance ()`
- `vtkOutlineCornerSource = obj.SafeDownCast (vtkObject o)`
- `obj.SetCornerFactor (double )` - Set/Get the factor that controls the relative size of the corners to the length of the corresponding bounds
- `double = obj.GetCornerFactorMinValue ()` - Set/Get the factor that controls the relative size of the corners to the length of the corresponding bounds
- `double = obj.GetCornerFactorMaxValue ()` - Set/Get the factor that controls the relative size of the corners to the length of the corresponding bounds
- `double = obj.GetCornerFactor ()` - Set/Get the factor that controls the relative size of the corners to the length of the corresponding bounds